Name:		ggobi      
Version:	2.1.7
Release:	3%{?dist}
Summary:	Open source visualization for exploring high-dimensional data 
Group:		Applications/Engineering
License:	GPLv2
URL:		http://www.ggobi.org/ 
Source0:	http://www.ggobi.org/downloads/ggobi-%{version}.tar.bz2 
Source1:	ggobi.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	libxml2-devel gtk2-devel, desktop-file-utils
Requires:	gtk2, libxml2 >= 2.6

%description
GGobi is an open source visualization program for
exploring high-dimensional data. It provides highly dynamic
and interactive graphics such as tours, as well as familiar
graphics such as the scatterplot, barchart and parallel coordinates plots.
Plots are interactive and linked with brushing and identification.

%package devel
Summary:	Open source visualization for exploring high-dimensional data
Group:		Development/Libraries	
Requires:	%{name} = %{version}-%{release}

%description devel
GGobi devel files

%prep
%setup -q

%build
%configure --with-all-plugins --datadir=%{_libdir} --disable-rpath
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
make ggobirc
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
rm $RPM_BUILD_ROOT%{_libdir}/applications/ggobi.desktop
mv $RPM_BUILD_ROOT%{_libdir}/pixmaps/ggobi.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/ggobi.png

desktop-file-install					\
  --vendor fedora 					\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications		\
  %{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ABOUT-NLS AUTHORS ChangeLog COPYING CPLicense.txt INSTALL README
%{_bindir}/ggobi
%{_libdir}/*.so.*
%{_libdir}/ggobi
%{_datadir}/pixmaps/ggobi.png
%{_datadir}/applications/*.desktop
%exclude %{_libdir}/*.la

%files devel
%{_includedir}/ggobi
%{_libdir}/*.so
%{_libdir}/pkgconfig/ggobi.pc

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 31 2007 Marek Mahut <mmahut@fedoraproject.org> - 2.1.7-1
- Update to 2.1.7
- Light review of the spec file

* Sat Feb 17 2007 Zachary Whitley <mail@zacharywhitley.com> - 2.1.4-1
- Initial RPM release.
